GET /v1/visits

Service: booking · operationId: (none)

Required scopes

(no scope declared — review service config)

Query parameters

  • brand_id (string) required
  • patient_id (string) —

Responses

200 List of visits

{
  "type": "object",
  "properties": {
    "visits": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string"
          },
          "brand_id": {
            "type": "string"
          },
          "patient_id": {
            "type": "string"
          },
          "provider_id": {
            "type": "string"
          },
          "slot_id": {
            "type": "string"
          },
          "status": {
            "type": "string"
          },
          "visit_type": {
            "type": "string"
          },
          "reason": {
            "type": [
              "string",
              "null"
            ]
          },
          "notes": {
            "type": [
              "string",
              "null"
            ]
          },
          "cancelled_at": {
            "type": [
              "string",
              "null"
            ]
          },
          "cancel_reason": {
            "type": [
              "string",
              "null"
            ]
          },
          "created_at": {
            "type": "string"
          },
          "updated_at": {
            "type": "string"
          }
        },
        "required": [
          "id",
          "brand_id",
          "patient_id",
          "provider_id",
          "slot_id",
          "status",
          "visit_type",
          "reason",
          "notes",
          "cancelled_at",
          "cancel_reason",
          "created_at",
          "updated_at"
        ]
      }
    }
  },
  "required": [
    "visits"
  ]
}

Example

curl -X GET https://booking.platform.loop.health/v1/visits \
  -H "Authorization: Bearer $ACCESS_TOKEN"